Name:		logrotate
Version:	3.12.2
Release:	%mkrel 1
Summary:	Rotates, compresses, removes and mails system log files
License:	GPLv2
Group:		File tools
URL:		https://github.com/logrotate/logrotate
Source0:	https://github.com/logrotate/logrotate/releases/download/%{version}/logrotate-%{version}.tar.xz
Source1:	logrotate.conf
Source2:	logrotate.cron
BuildRequires:	popt-devel
BuildRequires:	acl-devel
BuildRequires:	acl
Requires(post):	coreutils

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%make_install

%{__mkdir_p} %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf

%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}.d

%check
%make check

%post
if [ $1 = 1 ]; then
    # installation
    /bin/touch %{_var}/lib/%{name}.status
fi

%files
%doc ChangeLog.md COPYING examples README*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}
%{_sysconfdir}/%{name}.d
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
%{_mandir}/man5/%{name}.conf.5*


%changelog
* Tue May 23 2017 bb2 <bb2> - 3.12.2-1pclos2017
- new version
